package com.huimv.admin.system.service;


import com.huimv.common.utils.Result;

import java.util.List;

public interface IAppAuthorizeService {

    Result saveAccountGroup(String accountId, String groupIds);

    Result saveGroupMenu(String groupId, String menuIds);


    Result getMenuByGroup(String groupId);

    Result getGroupByAccount(String accountId);

    Result getAccountByGroup(String groupId);


    List getMyMenuAll(String accountName);

    List getMyButton(Integer userId);

    List getMyMenuMultilevel(String userId);

    void saveAccountGroupNew(Integer accountId, String collect1);
}
